mixed-port: 7890
allow-lan: true
bind-address: '*'
mode: rule
log-level: info
ipv6: false
external-controller: '0.0.0.0:9090'

dns:
  enable: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  nameserver:
    - 223.5.5.5
  fallback:
    - https://dns.google/dns-query
    - https://1.1.1.1/dns-query
  fake-ip-filter:
    - '+.lan'
    - '+.local'
    - '+.router.asus.com'
    - 'router.asus.com'
    - 'tplinkwifi.net'
    - 'miwifi.com'
    - '+.apple.com'
    - '+.icloud.com'
    - 'localhost.ptlogin2.qq.com'
    - '+.battlenet.com.cn'
    - '+.mcdn.bilivideo.cn'

proxies:
  - { name: "[liangxin] 当前 Clash客户端不支持本机场协议", type: ss, server: 127.0.0.1, port: 65535, cipher: aes-128-gcm, password: "3fbcb278-b002-4d47-a874-513a2264dca6", udp: true }
  - { name: "[liangxin] 请更换以下支持机场的代理软件", type: ss, server: 127.0.0.1, port: 65535, cipher: aes-128-gcm, password: "3fbcb278-b002-4d47-a874-513a2264dca6", udp: true }
  - { name: "[liangxin] Win客户端：V2rayN", type: ss, server: 127.0.0.1, port: 65535, cipher: aes-128-gcm, password: "3fbcb278-b002-4d47-a874-513a2264dca6", udp: true }
  - { name: "[liangxin] Mac客户端：V2rayN", type: ss, server: 127.0.0.1, port: 65535, cipher: aes-128-gcm, password: "3fbcb278-b002-4d47-a874-513a2264dca6", udp: true }
  - { name: "[liangxin] 安卓客户端：V2rayNG", type: ss, server: 127.0.0.1, port: 65535, cipher: aes-128-gcm, password: "3fbcb278-b002-4d47-a874-513a2264dca6", udp: true }
  - { name: "[mojie] 剩余流量：125.33 GB", type: vmess, server: planb.mojcn.com, port: 16617, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 套餐到期：长期有效", type: vmess, server: planb.mojcn.com, port: 16617, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 过滤掉15条线路", type: vmess, server: planb.mojcn.com, port: 16617, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 日本-优化", type: vmess, server: planb.mojcn.com, port: 16617, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 日本-优化2", type: vmess, server: m.cnmjin.net, port: 16617, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 日本-优化3", type: vmess, server: t.cnmjcn.cyou, port: 16617, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 新加坡-优化-Gemini-GPT", type: vmess, server: planb.mojcn.com, port: 16618, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 新加坡-优化2-Gemini-GPT", type: vmess, server: m.cnmjin.net, port: 16618, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 新加坡-优化3-Gemini", type: vmess, server: t.cnmjcn.cyou, port: 16618, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 香港-优化-Gemini", type: vmess, server: planb.mojcn.com, port: 16632, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 香港-优化2-Gemini", type: vmess, server: m.cnmjin.net, port: 16632, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 香港-优化3-Gemini", type: vmess, server: t.cnmjcn.cyou, port: 16632, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 香港WAP-优化-Gemini", type: vmess, server: planb.mojcn.com, port: 16622, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 香港WAP-优化2-Gemini", type: vmess, server: m.cnmjin.net, port: 16622, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 香港WAP-优化3-Gemini", type: vmess, server: t.cnmjcn.cyou, port: 16622, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 印度-优化", type: vmess, server: planb.mojcn.com, port: 16626, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 台湾-优化", type: vmess, server: planb.mojcn.com, port: 16616, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 台湾-优化2-GPT", type: vmess, server: m.cnmjin.net, port: 16616, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 台湾-优化3", type: vmess, server: t.cnmjcn.cyou, port: 16616, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 美国LA-优化-GPT", type: vmess, server: planb.mojcn.com, port: 16648, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 美国LA-优化2-GPT", type: vmess, server: m.cnmjin.net, port: 16648, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 美国LA-优化3-GPT", type: vmess, server: t.cnmjcn.cyou, port: 16648, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 加拿大-优化", type: vmess, server: planb.mojcn.com, port: 16641, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 加拿大-优化2", type: vmess, server: m.cnmjin.net, port: 16641, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 加拿大-优化3", type: vmess, server: t.cnmjcn.cyou, port: 16641, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 德国-优化", type: vmess, server: planb.mojcn.com, port: 16644, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 德国-优化2", type: vmess, server: m.cnmjin.net, port: 16644, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 英国-优化-GPT", type: vmess, server: planb.mojcn.com, port: 16645, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 英国-优化2", type: vmess, server: m.cnmjin.net, port: 16645, cipher: auto, password: "", udp: true }
  - { name: "[mojie] 英国-优化3", type: vmess, server: t.cnmjcn.cyou, port: 16645, cipher: auto, password: "", udp: true }

proxy-groups:
  - name: "节点选择"
    type: select
    proxies:
      - "自动选择"
      - "良心云"
      - "VPN07"
      - "魔界"
      - "[liangxin] 当前 Clash客户端不支持本机场协议"
      - "[liangxin] 请更换以下支持机场的代理软件"
      - "[liangxin] Win客户端：V2rayN"
      - "[liangxin] Mac客户端：V2rayN"
      - "[liangxin] 安卓客户端：V2rayNG"
      - "[mojie] 剩余流量：125.33 GB"
      - "[mojie] 套餐到期：长期有效"
      - "[mojie] 过滤掉15条线路"
      - "[mojie] 日本-优化"
      - "[mojie] 日本-优化2"
      - "[mojie] 日本-优化3"
      - "[mojie] 新加坡-优化-Gemini-GPT"
      - "[mojie] 新加坡-优化2-Gemini-GPT"
      - "[mojie] 新加坡-优化3-Gemini"
      - "[mojie] 香港-优化-Gemini"
      - "[mojie] 香港-优化2-Gemini"
      - "[mojie] 香港-优化3-Gemini"
      - "[mojie] 香港WAP-优化-Gemini"
      - "[mojie] 香港WAP-优化2-Gemini"
      - "[mojie] 香港WAP-优化3-Gemini"
      - "[mojie] 印度-优化"
      - "[mojie] 台湾-优化"
      - "[mojie] 台湾-优化2-GPT"
      - "[mojie] 台湾-优化3"
      - "[mojie] 美国LA-优化-GPT"
      - "[mojie] 美国LA-优化2-GPT"
      - "[mojie] 美国LA-优化3-GPT"
      - "[mojie] 加拿大-优化"
      - "[mojie] 加拿大-优化2"
      - "[mojie] 加拿大-优化3"
      - "[mojie] 德国-优化"
      - "[mojie] 德国-优化2"
      - "[mojie] 英国-优化-GPT"
      - "[mojie] 英国-优化2"
      - "[mojie] 英国-优化3"
      - "DIRECT"
  - name: "自动选择"
    type: url-test
    url: http://www.qualcomm.cn/generate_204
    interval: 300
    tolerance: 50
    proxies:
      - "[liangxin] 当前 Clash客户端不支持本机场协议"
      - "[liangxin] 请更换以下支持机场的代理软件"
      - "[liangxin] Win客户端：V2rayN"
      - "[liangxin] Mac客户端：V2rayN"
      - "[liangxin] 安卓客户端：V2rayNG"
      - "[mojie] 剩余流量：125.33 GB"
      - "[mojie] 套餐到期：长期有效"
      - "[mojie] 过滤掉15条线路"
      - "[mojie] 日本-优化"
      - "[mojie] 日本-优化2"
      - "[mojie] 日本-优化3"
      - "[mojie] 新加坡-优化-Gemini-GPT"
      - "[mojie] 新加坡-优化2-Gemini-GPT"
      - "[mojie] 新加坡-优化3-Gemini"
      - "[mojie] 香港-优化-Gemini"
      - "[mojie] 香港-优化2-Gemini"
      - "[mojie] 香港-优化3-Gemini"
      - "[mojie] 香港WAP-优化-Gemini"
      - "[mojie] 香港WAP-优化2-Gemini"
      - "[mojie] 香港WAP-优化3-Gemini"
      - "[mojie] 印度-优化"
      - "[mojie] 台湾-优化"
      - "[mojie] 台湾-优化2-GPT"
      - "[mojie] 台湾-优化3"
      - "[mojie] 美国LA-优化-GPT"
      - "[mojie] 美国LA-优化2-GPT"
      - "[mojie] 美国LA-优化3-GPT"
      - "[mojie] 加拿大-优化"
      - "[mojie] 加拿大-优化2"
      - "[mojie] 加拿大-优化3"
      - "[mojie] 德国-优化"
      - "[mojie] 德国-优化2"
      - "[mojie] 英国-优化-GPT"
      - "[mojie] 英国-优化2"
      - "[mojie] 英国-优化3"
  - name: "流媒体"
    type: select
    proxies:
      - "节点选择"
      - "良心云"
      - "VPN07"
      - "魔界"
      - "[liangxin] 当前 Clash客户端不支持本机场协议"
      - "[liangxin] 请更换以下支持机场的代理软件"
      - "[liangxin] Win客户端：V2rayN"
      - "[liangxin] Mac客户端：V2rayN"
      - "[liangxin] 安卓客户端：V2rayNG"
      - "[mojie] 剩余流量：125.33 GB"
      - "[mojie] 套餐到期：长期有效"
      - "[mojie] 过滤掉15条线路"
      - "[mojie] 日本-优化"
      - "[mojie] 日本-优化2"
      - "[mojie] 日本-优化3"
      - "[mojie] 新加坡-优化-Gemini-GPT"
      - "[mojie] 新加坡-优化2-Gemini-GPT"
      - "[mojie] 新加坡-优化3-Gemini"
      - "[mojie] 香港-优化-Gemini"
      - "[mojie] 香港-优化2-Gemini"
      - "[mojie] 香港-优化3-Gemini"
      - "[mojie] 香港WAP-优化-Gemini"
      - "[mojie] 香港WAP-优化2-Gemini"
      - "[mojie] 香港WAP-优化3-Gemini"
      - "[mojie] 印度-优化"
      - "[mojie] 台湾-优化"
      - "[mojie] 台湾-优化2-GPT"
      - "[mojie] 台湾-优化3"
      - "[mojie] 美国LA-优化-GPT"
      - "[mojie] 美国LA-优化2-GPT"
      - "[mojie] 美国LA-优化3-GPT"
      - "[mojie] 加拿大-优化"
      - "[mojie] 加拿大-优化2"
      - "[mojie] 加拿大-优化3"
      - "[mojie] 德国-优化"
      - "[mojie] 德国-优化2"
      - "[mojie] 英国-优化-GPT"
      - "[mojie] 英国-优化2"
      - "[mojie] 英国-优化3"
  - name: "游戏"
    type: select
    proxies: []
  - name: "良心云"
    type: select
    proxies:
      - "[liangxin] 当前 Clash客户端不支持本机场协议"
      - "[liangxin] 请更换以下支持机场的代理软件"
      - "[liangxin] Win客户端：V2rayN"
      - "[liangxin] Mac客户端：V2rayN"
      - "[liangxin] 安卓客户端：V2rayNG"
  - name: "VPN07"
    type: select
    proxies: []
  - name: "魔界"
    type: select
    proxies:
      - "[mojie] 剩余流量：125.33 GB"
      - "[mojie] 套餐到期：长期有效"
      - "[mojie] 过滤掉15条线路"
      - "[mojie] 日本-优化"
      - "[mojie] 日本-优化2"
      - "[mojie] 日本-优化3"
      - "[mojie] 新加坡-优化-Gemini-GPT"
      - "[mojie] 新加坡-优化2-Gemini-GPT"
      - "[mojie] 新加坡-优化3-Gemini"
      - "[mojie] 香港-优化-Gemini"
      - "[mojie] 香港-优化2-Gemini"
      - "[mojie] 香港-优化3-Gemini"
      - "[mojie] 香港WAP-优化-Gemini"
      - "[mojie] 香港WAP-优化2-Gemini"
      - "[mojie] 香港WAP-优化3-Gemini"
      - "[mojie] 印度-优化"
      - "[mojie] 台湾-优化"
      - "[mojie] 台湾-优化2-GPT"
      - "[mojie] 台湾-优化3"
      - "[mojie] 美国LA-优化-GPT"
      - "[mojie] 美国LA-优化2-GPT"
      - "[mojie] 美国LA-优化3-GPT"
      - "[mojie] 加拿大-优化"
      - "[mojie] 加拿大-优化2"
      - "[mojie] 加拿大-优化3"
      - "[mojie] 德国-优化"
      - "[mojie] 德国-优化2"
      - "[mojie] 英国-优化-GPT"
      - "[mojie] 英国-优化2"
      - "[mojie] 英国-优化3"

rules:
  - DOMAIN-SUFFIX,liangxin.xyz,DIRECT
  - DOMAIN-SUFFIX,chinatradenew.com,DIRECT
  - IP-CIDR,43.129.78.33/32,DIRECT,no-resolve
  - DOMAIN-SUFFIX,youtube.com,流媒体
  - DOMAIN-SUFFIX,googlevideo.com,流媒体
  - DOMAIN-SUFFIX,ytimg.com,流媒体
  - DOMAIN-SUFFIX,ggpht.com,流媒体
  - DOMAIN-SUFFIX,instagram.com,流媒体
  - DOMAIN-SUFFIX,cdninstagram.com,流媒体
  - DOMAIN-SUFFIX,twitter.com,流媒体
  - DOMAIN-SUFFIX,x.com,流媒体
  - DOMAIN-SUFFIX,twimg.com,流媒体
  - DOMAIN-KEYWORD,epicseven,游戏
  - DOMAIN-KEYWORD,e7,游戏
  - GEOIP,CN,DIRECT
  - MATCH,节点选择
